package com.unis.detectionnum.server.dao;

import org.springframework.stereotype.Repository;

import com.unis.detectionnum.server.entity.ProbeParamDO;

@Repository
public interface ProbeParamDao {
    int deleteByPrimaryKey(Integer id);

    int insert(ProbeParamDO record);

    int insertSelective(ProbeParamDO record);

    ProbeParamDO selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ProbeParamDO record);

    int updateByPrimaryKey(ProbeParamDO record);

	/** 
	 * @Title: selectBySbCode 
	 * @Description: 根据设备code查询激光探头参数
	 * @param sbCode
	 * @return ProbeParamDO
	 * @throws 
	 */
	ProbeParamDO selectBySbCode(String sbCode);

	/** 
	 * @Title: deleteBySbCode 
	 * @Description: 根据设备code删除激光探头参数
	 * @param sbCode
	 * @return void
	 * @throws 
	 */
	int deleteBySbCode(String sbCode);

	/** 
	 * @Title: updateBySbCode 
	 * @Description: 探头参数修改
	 * @param probeParamDO
	 * @param @return
	 * @return int
	 * @throws 
	 */
	int updateBySbCode(ProbeParamDO probeParamDO);
}